WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2025/27 Apr 2025

Ynysddu BG Ladies League Presentation

77 photographs Kian Abdullah/Huw Evans Agency Sunday
Prints from £8 Order prints
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 001
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_001.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 002
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_002.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 003
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_003.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 004
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_004.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 005
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_005.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 006
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_006.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 007
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_007.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 008
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_008.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 009
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_009.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 010
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_010.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 011
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_011.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 012
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_012.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 013
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_013.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 014
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_014.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 015
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_015.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 016
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_016.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 017
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_017.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 018
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_018.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 019
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_019.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 020
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_020.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 021
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_021.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 022
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_022.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 023
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_023.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 024
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_024.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 025
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_025.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 026
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_026.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 027
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_027.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 028
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_028.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 029
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_029.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 030
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_030.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 031
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_031.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 032
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_032.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 033
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_033.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play 034
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_034.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 035
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_035.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 036
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_036.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game 037
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_037.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play 038
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_038.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play 039
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_039.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play 040
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_040.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of play
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC 041
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_041.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - A general view of Ynysddu RFC
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 042
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_042.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 043
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_043.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 044
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_044.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 045
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_045.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game 046
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_046.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game 047
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_047.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game 048
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_048.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Fans watch the game
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 049
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_049.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 050
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_050.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 051
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_051.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 052
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_052.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 053
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_053.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 054
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_054.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 055
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_055.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 056
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_056.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 057
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_057.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 058
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_058.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 059
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_059.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 060
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_060.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 061
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_061.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies  celebrate the win at full time 062
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_062.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies celebrate the win at full time
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker is presented the trophy by WRU rep Colin Wilks 063
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_063.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker is presented the trophy by WRU rep Colin Wilks
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 064
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_064.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 065
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_065.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - 066
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_066.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship -
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 067
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_067.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 068
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_068.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 069
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_069.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 070
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_070.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 071
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_071.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 072
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_072.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 073
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_073.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 074
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_074.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 075
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_075.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 076
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_076.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy
270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy 077
CDF_270425_KA_Ynysddu_BG_Ladies_League_Presentation_077.JPG · Kian Abdullah/Huw Evans Agency270425 - Ynysddu BG Ladies v Haverfordwest - Admiral Women's National League Championship - Ynysddu BG Ladies Captain, Emily Parker celebrates with her team as they lift the trophy

More from around this date

Sun 27 AprGloucester 79-17 Exeter Chiefs Sun 27 AprItaly 44-12 Wales Sat 26 AprRGC v Carmarthen Quins Sat 26 AprNew Dock Stars League Presentation Sat 26 AprWelshpool League Presentation Sat 26 AprCaerphilly League Presentation Sat 26 AprTycroes League Presentation Sat 26 AprBridgend Athletic League Presentation
Ynysddu BG Ladies League Presentation · 27 Apr 2025
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured